package broker

import (
	"fmt"
	"github.com/nats-io/nats.go"
	"madsky.ru/go-tracker/internal/config"
)

func NewBroker(cfg *config.Config) *nats.Conn {
	if cfg.Nats.Token == "" {
		panic("NATS Token not set")
	}

	url := fmt.Sprintf("nats://%s@%s:%s", cfg.Nats.Token, cfg.Nats.Host, cfg.Nats.Port)

	nc, err := nats.Connect(url)
	if err != nil {
		fmt.Println(err)
		panic(err)
	}

	return nc
}
